package com.google.android.gms.common.api.internal;

import android.support.annotation.NonNull;
import com.google.android.gms.common.api.OptionalPendingResult;
import com.google.android.gms.common.api.PendingResult;
import com.google.android.gms.common.api.PendingResult.zza;
import com.google.android.gms.common.api.Result;
import com.google.android.gms.common.api.ResultCallback;
import com.google.android.gms.common.api.ResultTransform;
import com.google.android.gms.common.api.TransformedResult;
import com.google.android.gms.common.internal.Hide;
import java.util.concurrent.TimeUnit;

public final class zzco<R extends Result>
  extends OptionalPendingResult<R>
{
  private final BasePendingResult<R> zzgax;
  
  public zzco(PendingResult<R> paramPendingResult)
  {
    if (!(paramPendingResult instanceof BasePendingResult)) {
      throw new IllegalArgumentException("OptionalPendingResult can only wrap PendingResults generated by an API call.");
    }
    this.zzgax = ((BasePendingResult)paramPendingResult);
  }
  
  public final boolean isDone()
  {
    return this.zzgax.isReady();
  }
  
  public final R get()
  {
    if (isDone()) {
      return await(0L, TimeUnit.MILLISECONDS);
    }
    throw new IllegalStateException("Result is not available. Check that isDone() returns true before calling get().");
  }
  
  public final R await()
  {
    return this.zzgax.await();
  }
  
  public final R await(long paramLong, TimeUnit paramTimeUnit)
  {
    return this.zzgax.await(paramLong, paramTimeUnit);
  }
  
  public final void cancel()
  {
    this.zzgax.cancel();
  }
  
  public final boolean isCanceled()
  {
    return this.zzgax.isCanceled();
  }
  
  public final void setResultCallback(ResultCallback<? super R> paramResultCallback)
  {
    this.zzgax.setResultCallback(paramResultCallback);
  }
  
  public final void setResultCallback(ResultCallback<? super R> paramResultCallback, long paramLong, TimeUnit paramTimeUnit)
  {
    this.zzgax.setResultCallback(paramResultCallback, paramLong, paramTimeUnit);
  }
  
  @Hide
  public final void zza(PendingResult.zza paramzza)
  {
    this.zzgax.zza(paramzza);
  }
  
  @NonNull
  public final <S extends Result> TransformedResult<S> then(@NonNull ResultTransform<? super R, ? extends S> paramResultTransform)
  {
    return this.zzgax.then(paramResultTransform);
  }
  
  @Hide
  public final Integer zzaid()
  {
    return this.zzgax.zzaid();
  }
}


/* Location:              C:\Users\nsubhash\Downloads\google-play-services-base.jar!\com\google\android\gms\common\api\internal\zzco.class
 * Java compiler version: 7 (51.0)
 * JD-Core Version:       0.7.1
 */