package com.google.android.gms.common.api.internal;

import android.content.Context;
import android.os.Bundle;
import android.os.Handler;
import android.support.annotation.BinderThread;
import android.support.annotation.NonNull;
import android.support.annotation.Nullable;
import android.support.annotation.WorkerThread;
import android.util.Log;
import com.google.android.gms.common.ConnectionResult;
import com.google.android.gms.common.api.Api.zza;
import com.google.android.gms.common.api.GoogleApiClient.ConnectionCallbacks;
import com.google.android.gms.common.api.GoogleApiClient.OnConnectionFailedListener;
import com.google.android.gms.common.api.Scope;
import com.google.android.gms.common.internal.zzbq;
import com.google.android.gms.common.internal.zzbt;
import com.google.android.gms.common.internal.zzr;
import com.google.android.gms.internal.zzcyg;
import com.google.android.gms.internal.zzcyj;
import com.google.android.gms.internal.zzcyk;
import com.google.android.gms.internal.zzcyo;
import com.google.android.gms.internal.zzcyw;
import java.util.Set;

public final class zzcv
  extends zzcyo
  implements GoogleApiClient.ConnectionCallbacks, GoogleApiClient.OnConnectionFailedListener
{
  private static Api.zza<? extends zzcyj, zzcyk> zzgbc = zzcyg.zzegv;
  private final Context mContext;
  private final Handler mHandler;
  private final Api.zza<? extends zzcyj, zzcyk> zzfsa;
  private Set<Scope> zzenh;
  private zzr zzfwf;
  private zzcyj zzfxl;
  private zzcy zzgbd;
  
  @WorkerThread
  public zzcv(Context paramContext, Handler paramHandler, @NonNull zzr paramzzr)
  {
    this(paramContext, paramHandler, paramzzr, zzgbc);
  }
  
  @WorkerThread
  public zzcv(Context paramContext, Handler paramHandler, @NonNull zzr paramzzr, Api.zza<? extends zzcyj, zzcyk> paramzza)
  {
    this.mContext = paramContext;
    this.mHandler = paramHandler;
    this.zzfwf = ((zzr)zzbq.checkNotNull(paramzzr, "ClientSettings must not be null"));
    this.zzenh = paramzzr.zzamf();
    this.zzfsa = paramzza;
  }
  
  @WorkerThread
  public final void zza(zzcy paramzzcy)
  {
    if (this.zzfxl != null) {
      this.zzfxl.disconnect();
    }
    this.zzfwf.zzc(Integer.valueOf(System.identityHashCode(this)));
    this.zzfxl = ((zzcyj)this.zzfsa.zza(this.mContext, this.mHandler.getLooper(), this.zzfwf, this.zzfwf.zzaml(), this, this));
    this.zzgbd = paramzzcy;
    if ((this.zzenh == null) || (this.zzenh.isEmpty()))
    {
      this.mHandler.post(new zzcw(this));
      return;
    }
    this.zzfxl.connect();
  }
  
  public final zzcyj zzakn()
  {
    return this.zzfxl;
  }
  
  public final void zzakz()
  {
    if (this.zzfxl != null) {
      this.zzfxl.disconnect();
    }
  }
  
  @WorkerThread
  public final void onConnected(@Nullable Bundle paramBundle)
  {
    this.zzfxl.zza(this);
  }
  
  @WorkerThread
  public final void onConnectionSuspended(int paramInt)
  {
    this.zzfxl.disconnect();
  }
  
  @WorkerThread
  public final void onConnectionFailed(@NonNull ConnectionResult paramConnectionResult)
  {
    this.zzgbd.zzh(paramConnectionResult);
  }
  
  @BinderThread
  public final void zzb(zzcyw paramzzcyw)
  {
    this.mHandler.post(new zzcx(this, paramzzcyw));
  }
  
  @WorkerThread
  private final void zzc(zzcyw paramzzcyw)
  {
    ConnectionResult localConnectionResult1;
    if ((localConnectionResult1 = paramzzcyw.zzain()).isSuccess())
    {
      zzbt localzzbt;
      ConnectionResult localConnectionResult2;
      if (!(localConnectionResult2 = (localzzbt = paramzzcyw.zzbfa()).zzain()).isSuccess())
      {
        String str = String.valueOf(localConnectionResult2);
        Log.wtf("SignInCoordinator", 48 + String.valueOf(str).length() + "Sign-in succeeded with resolve account failure: " + str, new Exception());
        this.zzgbd.zzh(localConnectionResult2);
        this.zzfxl.disconnect();
        return;
      }
      this.zzgbd.zzb(localzzbt.zzamy(), this.zzenh);
    }
    else
    {
      this.zzgbd.zzh(localConnectionResult1);
    }
    this.zzfxl.disconnect();
  }
}


/* Location:              C:\Users\nsubhash\Downloads\google-play-services-base.jar!\com\google\android\gms\common\api\internal\zzcv.class
 * Java compiler version: 7 (51.0)
 * JD-Core Version:       0.7.1
 */