package com.google.android.gms.common.api.internal;

import android.support.annotation.NonNull;
import android.support.annotation.Nullable;
import android.util.Log;
import android.util.SparseArray;
import com.google.android.gms.common.ConnectionResult;
import com.google.android.gms.common.api.GoogleApiClient;
import com.google.android.gms.common.api.GoogleApiClient.OnConnectionFailedListener;
import com.google.android.gms.common.internal.zzbq;
import java.io.FileDescriptor;
import java.io.PrintWriter;
import java.util.concurrent.atomic.AtomicReference;

public class zzi
  extends zzo
{
  private final SparseArray<zza> zzfuf = new SparseArray();
  
  public static zzi zza(zzce paramzzce)
  {
    zzcf localzzcf;
    zzi localzzi;
    if ((localzzi = (zzi)(localzzcf = zzb(paramzzce)).zza("AutoManageHelper", zzi.class)) != null) {
      return localzzi;
    }
    return new zzi(localzzcf);
  }
  
  private zzi(zzcf paramzzcf)
  {
    super(paramzzcf);
    this.zzgam.zza("AutoManageHelper", this);
  }
  
  public final void zza(int paramInt, GoogleApiClient paramGoogleApiClient, GoogleApiClient.OnConnectionFailedListener paramOnConnectionFailedListener)
  {
    zzbq.checkNotNull(paramGoogleApiClient, "GoogleApiClient instance cannot be null");
    zzbq.zza(this.zzfuf.indexOfKey(paramInt) < 0, 54 + "Already managing a GoogleApiClient with id " + paramInt);
    zzp localzzp = (zzp)this.zzfut.get();
    boolean bool = this.mStarted;
    String str = String.valueOf(localzzp);
    Log.d("AutoManageHelper", 49 + String.valueOf(str).length() + "starting AutoManage for client " + paramInt + " " + bool + " " + str);
    zza localzza = new zza(paramInt, paramGoogleApiClient, paramOnConnectionFailedListener);
    this.zzfuf.put(paramInt, localzza);
    if ((this.mStarted) && (localzzp == null))
    {
      str = String.valueOf(paramGoogleApiClient);
      Log.d("AutoManageHelper", 11 + String.valueOf(str).length() + "connecting " + str);
      paramGoogleApiClient.connect();
    }
  }
  
  public final void zzbq(int paramInt)
  {
    zza localzza1 = (zza)this.zzfuf.get(paramInt);
    this.zzfuf.remove(paramInt);
    if (localzza1 != null)
    {
      zza localzza2;
      (localzza2 = localzza1).zzfuh.unregisterConnectionFailedListener(localzza2);
      localzza2.zzfuh.disconnect();
    }
  }
  
  public final void onStart()
  {
    super.onStart();
    int i = this.mStarted;
    Object localObject = String.valueOf(this.zzfuf);
    Log.d("AutoManageHelper", 14 + String.valueOf(localObject).length() + "onStart " + i + " " + (String)localObject);
    if (this.zzfut.get() == null) {
      for (i = 0; i < this.zzfuf.size(); i++) {
        if ((localObject = zzbr(i)) != null) {
          ((zza)localObject).zzfuh.connect();
        }
      }
    }
  }
  
  public final void onStop()
  {
    super.onStop();
    for (int i = 0; i < this.zzfuf.size(); i++)
    {
      zza localzza;
      if ((localzza = zzbr(i)) != null) {
        localzza.zzfuh.disconnect();
      }
    }
  }
  
  public final void dump(String paramString, FileDescriptor paramFileDescriptor, PrintWriter paramPrintWriter, String[] paramArrayOfString)
  {
    for (int i = 0; i < this.zzfuf.size(); i++)
    {
      zza localzza1;
      if ((localzza1 = zzbr(i)) != null)
      {
        String[] arrayOfString = paramArrayOfString;
        PrintWriter localPrintWriter = paramPrintWriter;
        FileDescriptor localFileDescriptor = paramFileDescriptor;
        String str = paramString;
        zza localzza2 = localzza1;
        localPrintWriter.append(str).append("GoogleApiClient #").print(localzza2.zzfug);
        localPrintWriter.println(":");
        localzza2.zzfuh.dump(String.valueOf(str).concat("  "), localFileDescriptor, localPrintWriter, arrayOfString);
      }
    }
  }
  
  protected final void zza(ConnectionResult paramConnectionResult, int paramInt)
  {
    Log.w("AutoManageHelper", "Unresolved error while connecting client. Stopping auto-manage.");
    if (paramInt < 0)
    {
      Log.wtf("AutoManageHelper", "AutoManageLifecycleHelper received onErrorResolutionFailed callback but no failing client ID is set", new Exception());
      return;
    }
    zza localzza;
    if ((localzza = (zza)this.zzfuf.get(paramInt)) != null)
    {
      zzbq(paramInt);
      GoogleApiClient.OnConnectionFailedListener localOnConnectionFailedListener;
      if ((localOnConnectionFailedListener = localzza.zzfui) != null) {
        localOnConnectionFailedListener.onConnectionFailed(paramConnectionResult);
      }
    }
  }
  
  protected final void zzaih()
  {
    for (int i = 0; i < this.zzfuf.size(); i++)
    {
      zza localzza;
      if ((localzza = zzbr(i)) != null) {
        localzza.zzfuh.connect();
      }
    }
  }
  
  @Nullable
  private final zza zzbr(int paramInt)
  {
    if (this.zzfuf.size() <= paramInt) {
      return null;
    }
    return (zza)this.zzfuf.get(this.zzfuf.keyAt(paramInt));
  }
  
  class zza
    implements GoogleApiClient.OnConnectionFailedListener
  {
    public final int zzfug;
    public final GoogleApiClient zzfuh;
    public final GoogleApiClient.OnConnectionFailedListener zzfui;
    
    public zza(int paramInt, GoogleApiClient paramGoogleApiClient, GoogleApiClient.OnConnectionFailedListener paramOnConnectionFailedListener)
    {
      this.zzfug = paramInt;
      this.zzfuh = paramGoogleApiClient;
      this.zzfui = paramOnConnectionFailedListener;
      paramGoogleApiClient.registerConnectionFailedListener(this);
    }
    
    public final void onConnectionFailed(@NonNull ConnectionResult paramConnectionResult)
    {
      String str = String.valueOf(paramConnectionResult);
      Log.d("AutoManageHelper", 27 + String.valueOf(str).length() + "beginFailureResolution for " + str);
      zzi.this.zzb(paramConnectionResult, this.zzfug);
    }
  }
}


/* Location:              C:\Users\nsubhash\Downloads\google-play-services-base.jar!\com\google\android\gms\common\api\internal\zzi.class
 * Java compiler version: 7 (51.0)
 * JD-Core Version:       0.7.1
 */