package com.google.android.gms.common.api.internal;

import android.app.PendingIntent;
import android.content.DialogInterface;
import android.content.DialogInterface.OnCancelListener;
import android.content.Intent;
import android.os.Bundle;
import android.os.Handler;
import android.os.Looper;
import android.support.annotation.Nullable;
import com.google.android.gms.common.ConnectionResult;
import com.google.android.gms.common.GoogleApiAvailability;
import com.google.android.gms.common.zzf;
import java.util.concurrent.atomic.AtomicReference;

public abstract class zzo
  extends LifecycleCallback
  implements DialogInterface.OnCancelListener
{
  protected volatile boolean mStarted;
  protected final AtomicReference<zzp> zzfut = new AtomicReference(null);
  private final Handler zzfuu = new Handler(Looper.getMainLooper());
  protected final GoogleApiAvailability zzftg;
  
  protected zzo(zzcf paramzzcf)
  {
    this(paramzzcf, GoogleApiAvailability.getInstance());
  }
  
  private zzo(zzcf paramzzcf, GoogleApiAvailability paramGoogleApiAvailability)
  {
    super(paramzzcf);
    this.zzftg = paramGoogleApiAvailability;
  }
  
  public void onCancel(DialogInterface paramDialogInterface)
  {
    zza(new ConnectionResult(13, null), zza((zzp)this.zzfut.get()));
    zzail();
  }
  
  public final void onCreate(Bundle paramBundle)
  {
    super.onCreate(paramBundle);
    if (paramBundle != null)
    {
      Bundle localBundle;
      ConnectionResult localConnectionResult = new ConnectionResult(localBundle.getInt("failed_status"), (PendingIntent)localBundle.getParcelable("failed_resolution"));
      int i = localBundle.getInt("failed_client_id", -1);
      this.zzfut.set((localBundle = paramBundle).getBoolean("resolving_error", false) ? new zzp(localConnectionResult, i) : null);
    }
  }
  
  public final void onSaveInstanceState(Bundle paramBundle)
  {
    super.onSaveInstanceState(paramBundle);
    Bundle localBundle = paramBundle;
    zzp localzzp;
    if ((localzzp = (zzp)this.zzfut.get()) != null)
    {
      localBundle.putBoolean("resolving_error", true);
      localBundle.putInt("failed_client_id", localzzp.zzaim());
      localBundle.putInt("failed_status", localzzp.zzain().getErrorCode());
      localBundle.putParcelable("failed_resolution", localzzp.zzain().getResolution());
    }
  }
  
  public void onStart()
  {
    super.onStart();
    this.mStarted = true;
  }
  
  public final void onActivityResult(int paramInt1, int paramInt2, Intent paramIntent)
  {
    int i = 0;
    zzp localzzp = (zzp)this.zzfut.get();
    switch (paramInt1)
    {
    case 2: 
      int j;
      if ((j = this.zzftg.isGooglePlayServicesAvailable(getActivity())) == 0) {
        i = 1;
      }
      if (localzzp == null) {
        return;
      }
      if ((localzzp.zzain().getErrorCode() == 18) && (j == 18)) {
        return;
      }
      break;
    case 1: 
      if (paramInt2 == -1)
      {
        i = 1;
      }
      else if (paramInt2 == 0)
      {
        int k = 13;
        if (paramIntent != null) {
          k = paramIntent.getIntExtra("<<ResolutionFailureErrorDetail>>", 13);
        }
        localzzp = new zzp(new ConnectionResult(k, null), zza(localzzp));
        this.zzfut.set(localzzp);
      }
      break;
    }
    if (i != 0)
    {
      zzail();
      return;
    }
    if (localzzp != null) {
      zza(localzzp.zzain(), localzzp.zzaim());
    }
  }
  
  public void onStop()
  {
    super.onStop();
    this.mStarted = false;
  }
  
  protected abstract void zza(ConnectionResult paramConnectionResult, int paramInt);
  
  protected abstract void zzaih();
  
  protected final void zzail()
  {
    this.zzfut.set(null);
    zzaih();
  }
  
  public final void zzb(ConnectionResult paramConnectionResult, int paramInt)
  {
    zzp localzzp = new zzp(paramConnectionResult, paramInt);
    if (this.zzfut.compareAndSet(null, localzzp)) {
      this.zzfuu.post(new zzq(this, localzzp));
    }
  }
  
  private static int zza(@Nullable zzp paramzzp)
  {
    if (paramzzp == null) {
      return -1;
    }
    return paramzzp.zzaim();
  }
}


/* Location:              C:\Users\nsubhash\Downloads\google-play-services-base.jar!\com\google\android\gms\common\api\internal\zzo.class
 * Java compiler version: 7 (51.0)
 * JD-Core Version:       0.7.1
 */